Bug 1566188 - Logging upgrade on OCP 3.7 fails on task Generate Kibana DC template
Summary: Logging upgrade on OCP 3.7 fails on task Generate Kibana DC template
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Jeff Cantrill
QA Contact: Anping Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-11 18:00 UTC by hgomes
Modified: 2018-04-13 13:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-13 13:29:54 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 6 ewolinet 2018-04-12 16:48:46 UTC
I'm surprised we aren't seeing ES failing to generate the DC template too... your nodeselectors should be in the form {'region': 'infra'} not "region=infra"

Can you update your inventory and try again?

Comment 7 hgomes 2018-04-13 13:29:54 UTC
Hi,

The issue were related to other issues, after executing the steps below, it was able to succeed:

1. Add HostPath config to the ES DC
2. Change memory size from ES DC
3. Start all ES together to meet quorum.
4. Execute ansible playbook --> it reverts the memory size so I change it again.

Then Ansible finished successfully and all containers in logging project are running well.
We checked kibana and can see log properly.

Thank you.


Note You need to log in before you can comment on or make changes to this bug.